GET /discord/guilds/{guildId}/members

Members, cursor-paginated (pass pagination.nextCursor as after). Needs the Server Members Intent on the bot app

GET
/discord/guilds/{guildId}/members

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

limit?integer

Maximum items (default 100, max 1000)

Range1 <= value <= 1000
Default100
after?string

nextCursor of the previous page

Response Body

{data, pagination}

application/json
  1. response
data?array<>
pagination?
Example Request
curl -X GET 'https://example.com/api/v1/discord/guilds/string/members?accountId=string'
Example Response
{  "data": [    {      "user": {        "id": "string",        "username": "string",        "discriminator": "string",        "avatar": "string",        "global_name": "string"      },      "nick": "string",      "roles": [        "string"      ],      "joined_at": "string",      "premium_since": "string"    }  ],  "pagination": {    "nextCursor": "string",    "hasMore": true  }}